@echo off   
REM Batch file to read out plug files and system information
REM on Siemens MR systems

REM Copyright (c) 2016-- 

REM RAPID Biomedical GmbH
REM Technologiepark Wuerzburg-Rimpar
REM Kettelerstr. 311
REM 97222 Rimpar, Germany
REM Registered: Wuerzburg HRB 6495
REM Tel: +49-9365-8826-0
REM Fax: +49-9365-8826-99
 
REM info(at)rapidbiomed.de
REM www.rapidbiomed.de

REM  Prepare folder
(C:&(mkdir "C:\temp" 2> NUL))&

:Screen message
echo.
echo Dear customer, 
echo.
echo this batch program will collect information about the 
echo MR system (version and ID) and customer plug files.
echo. 
echo NO SENSITIVE DATA WILL BE COLLECTED!
echo.
echo Information will exclusively be stored in/written to the file:
echo C:\temp\coilfiles.txt
echo.
echo Please send this file to
echo RAPID Biomedical GmbH
echo service(at)rapidbiomed.de
echo.
echo If you agree with these terms, press any key to proceed.
echo Otherwise abort with CTRL - C.
echo.
call pause
echo.

:Timestamp
echo Beginning Readout: >C:\temp\coilfile.txt
date /T >>C:\temp\coilfile.txt
time /T >>C:\temp\coilfile.txt
echo. >>C:\temp\coilfile.txt

:System
REM collect system information
if NOT exist "C:\MedCom\log\RFSWDHistoryListNew.log" goto Errorthrow0
setlocal ENABLEDELAYEDEXPANSION
echo System information: >>C:\temp\coilfile.txt
set /a counter=1
for /F "tokens=*" %%A in (C:\MedCom\log\RFSWDHistoryListNew.log) do (
    echo %%A>>C:\temp\coilfile.txt
    set /a counter=counter+1
    if !counter!==10 GOTO Customer)
endlocal

:Customer
REM look for customer apf-files
echo. >>C:\temp\coilfile.txt
echo Customer Coilfiles: >>C:\temp\coilfile.txt
echo. >>C:\temp\coilfile.txt
c:
if NOT exist "C:\MedCom\MRICustomer\Coils" goto Errorthrow1
cd C:\MedCom\MRICustomer\Coils
dir *.apf /b >>C:\temp\coilfile.txt
echo Read Customer files successfully.
echo. >>C:\temp\coilfile.txt
echo. >>C:\temp\coilfile.txt

goto End

:Errorthrow0
echo log file does not exist >>C:\temp\coilfile.txt
echo system information acquisition may have failed >>C:\temp\coilfile.txt
echo log file does not exist
echo system information acquisition may have failed
echo.

goto Customer

:Errorthrow1
echo customer folder does not exist >>C:\temp\coilfile.txt
echo plug file acquisition may have failed >>C:\temp\coilfile.txt
echo.
echo customer folder does not exist 
echo plug file acquisition may have failed
echo.

:End
echo --------------------------- >>C:\temp\coilfile.txt
echo data acquisition complete   >>C:\temp\coilfile.txt
echo --------------------------- >>C:\temp\coilfile.txt
echo. >>C:\temp\coilfile.txt
echo end of batch file >>C:\temp\coilfile.txt
echo.
echo data acquisition complete
echo end of batch file, press any key to exit
call pause
exit

REM v2.0 SQ/TW (c) 2016-03-31